{alternatieve inleveropdracht 4
Boy Bessems
I6010441
SUPER ADVENTURE ISLAND!!}



unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Button2: TButton;
    Image2: TImage;
    YourLog: TMemo;
    Image3: TImage;
    Button3: TButton;
    Image4: TImage;
    Button4: TButton;
    Image5: TImage;
    Button5: TButton;
    Image6: TImage;
    Button6: TButton;
    Image7: TImage;
    Button7: TButton;
    Panel1: TPanel;
    Image8: TImage;
    ButtonRight: TButton;
    ButtonLeft: TButton;
    ButtonFw: TButton;
    Image9: TImage;
    ButtonBk: TButton;
    ButtonFw3: TButton;
    Image10: TImage;
    ButtonFw2: TButton;
    Image11: TImage;
    ButtonFw4: TButton;
    Image12: TImage;
    ImageLeft1: TImage;
    ButtonEnt: TButton;
    Image13: TImage;
    ButtonBedr: TButton;
    ButtonKitch: TButton;
    ButtonExt: TButton;
    ButtonStairs: TButton;
    Image14: TImage;
    ButtonStair: TButton;
    ButtonCabin: TButton;
    Image15: TImage;
    ButtonHall: TButton;
    Image16: TImage;
    Button8: TButton;
    Image17: TImage;
    InventoryDildo: TImage;
    BedroomEmpty: TImage;
    Image18: TImage;
    InventoryCake: TImage;
    ButtonTake: TButton;
    Image19: TImage;
    Image20: TImage;
    ButtonAppr: TButton;
    Image21: TImage;
    ButtonCheck: TButton;
    Image22: TImage;
    ButtonTakeG: TButton;
    Image23: TImage;
    ButtonBkTruck: TButton;
    InventoryGun: TImage;
    Image24: TImage;
    ButtonOpen: TButton;
    Image25: TImage;
    ButtonTalk: TButton;
    ButtonShoot: TButton;
    ButtonHook: TButton;
    ImageBoob: TImage;
    ButtonOhok: TButton;
    ButtonJustGo: TButton;
    Image26: TImage;
    ImageSeth: TImage;
    ImageJames: TImage;
    MemoJames: TMemo;
    MemoSeth: TMemo;
    TalkSup: TRadioButton;
    TalkWeed: TRadioButton;
    TalkWhat: TRadioButton;
    TalkWho: TRadioButton;
    TalkBye: TRadioButton;
    InventoryWeed: TImage;
    ButtonGiveCake: TButton;
    InventoryMarley: TImage;
    ButtonTalkHitch: TButton;
    ImageRaoul: TImage;
    ImageAttorney: TImage;
    MemoRaoul: TMemo;
    MemoAttorney: TMemo;
    ButtonYes: TButton;
    ButtonNo: TButton;
    ButtonGetIn: TButton;
    ImageStrangers: TImage;
    ImageGameover: TImage;
    ImageRaoul2: TImage;
    ImageAttorney2: TImage;
    TradeDildo: TRadioButton;
    TradeWeed: TRadioButton;
    TradeRecord: TRadioButton;
    TradeCake: TRadioButton;
    ButtonDeal: TButton;
    ButtonTrip: TButton;
    TripHeroinImg: TImage;
    TripXTCImg: TImage;
    TripShroomImg: TImage;
    TripAcidImg: TImage;
    ButtonTripEnd: TButton;
    ButtonDie: TButton;
    ImageAcid1: TImage;
    ImageAcid2: TImage;
    ImageAcid3: TImage;
    ButtonAcid1: TButton;
    ButtonColour: TButton;
    ImageAcid4: TImage;
    ButtonSubside: TButton;
    ImageEnd: TImage;
    ButtonWake: TButton;
    ButtonSea: TButton;
    ImageShipAgain: TImage;
    ButtonDream: TButton;
    ButtonWhat: TButton;
    ImageFinished: TImage;
    ButtonWhatGet: TButton;
    ImageFinal: TImage;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure ButtonFwClick(Sender: TObject);
    procedure ButtonFw2Click(Sender: TObject);
    procedure ButtonFw3Click(Sender: TObject);
    procedure ButtonFw4Click(Sender: TObject);
    procedure ButtonLeftClick(Sender: TObject);
    procedure ButtonBkClick(Sender: TObject);
    procedure ButtonEntClick(Sender: TObject);
    procedure ButtonExtClick(Sender: TObject);
    procedure ButtonStairsClick(Sender: TObject);
    procedure ButtonCabinClick(Sender: TObject);
    procedure ButtonStairClick(Sender: TObject);
    procedure ButtonBedrClick(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure ButtonKitchClick(Sender: TObject);
    procedure ButtonTakeClick(Sender: TObject);
    procedure ButtonRightClick(Sender: TObject);
    procedure ButtonApprClick(Sender: TObject);
    procedure ButtonCheckClick(Sender: TObject);
    procedure ButtonTakeGClick(Sender: TObject);
    procedure ButtonBkTruckClick(Sender: TObject);
    procedure ButtonHallClick(Sender: TObject);
    procedure ButtonOpenClick(Sender: TObject);
    procedure ButtonHookClick(Sender: TObject);
    procedure ButtonOhokClick(Sender: TObject);
    procedure ButtonShootClick(Sender: TObject);
    procedure ButtonJustGoClick(Sender: TObject);
    procedure ButtonTalkClick(Sender: TObject);
    procedure TalkByeClick(Sender: TObject);
    procedure TalkWeedClick(Sender: TObject);
    procedure TalkSupClick(Sender: TObject);
    procedure TalkWhatClick(Sender: TObject);
    procedure TalkWhoClick(Sender: TObject);
    procedure ButtonGiveCakeClick(Sender: TObject);
    procedure ButtonTalkHitchClick(Sender: TObject);
    procedure ButtonNoClick(Sender: TObject);
    procedure ButtonYesClick(Sender: TObject);
    procedure ButtonGetInClick(Sender: TObject);
    procedure ButtonDealClick(Sender: TObject);
    procedure TradeRecordClick(Sender: TObject);
    procedure TradeCakeClick(Sender: TObject);
    procedure TradeWeedClick(Sender: TObject);
    procedure TradeDildoClick(Sender: TObject);
    procedure ButtonTripClick(Sender: TObject);
    procedure ButtonDieClick(Sender: TObject);
    procedure ButtonTripEndClick(Sender: TObject);
    procedure ButtonAcid1Click(Sender: TObject);
    procedure ButtonColourClick(Sender: TObject);
    procedure ButtonSubsideClick(Sender: TObject);
    procedure ButtonSeaClick(Sender: TObject);
    procedure ButtonWakeClick(Sender: TObject);
    procedure ButtonDreamClick(Sender: TObject);
    procedure ButtonWhatClick(Sender: TObject);
    procedure ButtonWhatGetClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

Var

{Dit zijn enkele variabelen. Ze nemen tijdens het spel de waarde 0 of 1 aan afhankelijk welke keuzes je maakt.
De keuzes die je maakt hebben uiteindelijk weer hun uitwerking op welk einde je krijgt.}
Gun: Integer;
Dil: Integer;
Cake: Integer;
DudesDead: Integer;
Weed: Integer;
MarleyRec: Integer;
TripAcid: Integer;
TripXTC: Integer;
TripShroom: Integer;
TripHeroin: Integer;

implementation

{$R *.dfm}

{BEGIN}


procedure TForm1.Button2Click(Sender: TObject);
begin
Dil := 0;
Gun := 0;
Image2.Visible := True;
Image3.Visible := False;
Showmessage ('You got lost');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
YourLog.Lines.add ('You are on the bow of a ship. The ship is steadfast and sturdy. A real beauty! However, it doesnt really matter what the damn ship looks like its gonna sink anyway. So, The sun is in your face, the world is your oyster. Good for you');
Image3.visible := True;
Image2.visible := False;
Image1.visible := False;
Button1.Visible :=False;
Button2.visible := False;
Button3.Visible := True;

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
Yourlog.clear;
Yourlog.Lines.Add('Oh no! The ship started sinking for no apparent reason. Oh well, what are the odds of washing up on a deserted island full of perilous adventures?');
Image3.visible := False;
Image4.visible := True;
Button3.Visible := False;
Button4.Visible := True;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
Yourlog.clear;
Image5.visible := True;
Yourlog.lines.Add ('You fall into the water! Gasping for breath you decend deeper into the water. You wonder why there was an elephant on board. Then, you black out');
Button4.Visible := False;
Button5.Visible := True;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
Yourlog.clear;
Yourlog.lines.Add ('You wash up ashore and apparantly lost your pants. You have no idea what to do where you are or what the square root of 321 is. You claim the island as your own and call it SUPER ADVENTURE ISLAND!!!! Now lets get this show on the road');
Button5.Visible := False;
Button6.Visible := True;
Image6.visible := True;

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
Yourlog.Visible := False;
Button6.Visible := False;
Button7.Visible := True;
Image7.Visible := True;
Image1.visible := False;
Image2.visible := False;
Image3.visible := False;
Image4.visible := False;
Image5.visible := False;
Image6.Visible := False;

end;


{Hier volgt de eerste keuze
Links naar de "Beach Cabin"
Rechts naar de "Abandoned truck"
En vooruit de jungle in}

procedure TForm1.Button7Click(Sender: TObject);
begin
Yourlog.Visible := True;
Yourlog.Clear;
Yourlog.Lines.add ('You are at the beach, where will you go?');
Button7.Visible := False;
Image7.Visible := False;
Yourlog.Height:= 340;
Panel1.visible := True;
Image5.visible := False;
Image8.Visible := True;
ButtonLeft.Visible := True;
ButtonRight.Visible := True;
ButtonFw.Visible := True;



end;

{Vooruit de jungle in}


procedure TForm1.ButtonFwClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.lines.add ('You head further into the jungle');
Image9.Visible := True;
Image8.Visible := False;
ButtonRight.visible := False;
ButtonLeft.Visible := False;
ButtonBk.Visible := True;
ButtonFw.Visible := False;
ButtonFw2.Visible := True;

end;


procedure TForm1.ButtonFw2Click(Sender: TObject);
begin
ButtonFw2.Visible := False;
ButtonFw3.visible := True;
Yourlog.Clear;
Yourlog.Lines.Add ('You see a paved road, perhaps this can take you to civilisation? .....yeah right');
Image9.Visible := False;
Image10.visible := True;
end;


procedure TForm1.ButtonFw3Click(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add ('This road has definitely seen some traffic, you hear a car coming in the distance');
ButtonFw3.Visible :=False;
ButtonFw4.Visible := True;
Image10.Visible := False;
Image11.Visible := True;
end;

{Hier kom je Raoul Duke en Dr. Gonzo tegen, uit de film "Fear and loathing in las vegas"}


procedure TForm1.ButtonFw4Click(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add ('You hold out your thumb untill the approaching car stops. The people inside are quite peculiar to say the least, the smell reminds you of a crackhouse. The guy on the passenger seat looks at you like he be trippin balls');
Image11.Visible := False;
Image12.Visible := True;
ButtonFw4.Visible := False;
ButtonBk.Visible := False;
ButtonTalkHitch.Visible:= True;



end;





{Pad naar links, naar de "Beach Cabin"}




procedure TForm1.ButtonLeftClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add ('You head west along the beach untill you see a beach cabin');
ButtonBk.Visible := True;
ButtonRight.Visible := False;
ButtonFw.Visible := False;
ButtonLeft.Visible := False;
Image8.visible := False;
ImageLeft1.visible := True;
ButtonEnt.Visible := True;
end;



{Deze button is om terug te keren naar het strand. Alle plaatjes en buttons worden "false"}


procedure TForm1.ButtonBkClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.add ('You backtraced your steps and found your way back to the beach where you started');
Image8.Visible := True;
ImageLeft1.Visible := False;
ButtonLeft.visible := True;
ButtonRight.visible := True;
Buttonfw.Visible := true;
Buttonfw4.Visible := False;
ButtonFw3.Visible := false;
ButtonFw2.Visible := false;
ButtonEnt.visible := False;
ButtonAppr.Visible := False;
Image10.visible := False;
Image11.visible := False;
Image12.visible := False;
Image13.Visible := False;
Image20.Visible := False;
Image9.visible := False;
Image21.visible:= False;
ButtonCheck.Visible := False;
MemoRaoul.visible:= False;
MemoAttorney.visible:= False;
ImageRaoul.visible:= False;
ImageAttorney.visible:= False;
Image12.Visible:= False;
MemoRaoul.Clear;
MemoAttorney.Clear;

end;

procedure TForm1.ButtonEntClick(Sender: TObject);    //Entering the cabin
begin
Yourlog.Clear;
Yourlog.Lines.add ('You head into the cabin, the door was open and nobody is home. It smells like pot in here. This might get interesting');
ButtonBk.Visible := False;
ButtonExt.Visible := True;
ButtonLeft.Visible := False;
ButtonEnt.Visible := False;
Image13.Visible := True;
ButtonBedr.Visible := True;
ButtonKitch.visible := True;
ButtonStairs.Visible := True;
end;

procedure TForm1.ButtonExtClick(Sender: TObject);        //Back to cabin entry
begin
Yourlog.Clear;
Yourlog.Lines.Add ('You head back to the entry of the cabin');
ButtonBk.Visible := True;
ButtonExt.Visible := False;
ButtonKitch.Visible := False;
ButtonBedr.visible := False;
ButtonStairs.Visible := False;
ButtonRight.Visible := False;
ButtonFw.Visible := False;
ButtonLeft.Visible := False;
Image8.visible := False;
Image13.Visible := False;
ImageLeft1.visible := True;
ButtonEnt.Visible := True;

End;

procedure TForm1.ButtonStairsClick(Sender: TObject);    //Down staircase
begin
Yourlog.Clear;
Yourlog.Lines.Add ('You head down the staircase, it looks creepy...');
Image14.Visible := True;
ButtonBedr.Visible := False;
ButtonKitch.visible := False;
ButtonStairs.Visible := False;
ButtonStair.Visible := True;
ButtonCabin.Visible := True;
ButtonExt.Visible := False;
end;

procedure TForm1.ButtonCabinClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.add ('You head back to the living room');
ButtonBk.Visible := False;
ButtonExt.Visible := True;
ButtonLeft.Visible := False;
ButtonEnt.Visible := False;
Image13.Visible := True;
Image15.Visible := False;
ButtonBedr.Visible := True;
ButtonKitch.visible := True;
ButtonStairs.Visible := True;
Image14.Visible := False;
ButtonCabin.visible := False;
Image18.Visible := False;
ButtonStair.Visible := False;
Image16.Visible := False;
Button8.Visible := False;
Image17.Visible := False;
BedroomEmpty.Visible := False;
Image18.Visible := False;
Image19.Visible := False;
ButtonTake.Visible := False;
ButtonHall.Visible := False;
Image24.Visible := False;
ButtonOpen.Visible := False;
ButtonTalk.Visible := False;
ButtonHook.Visible := False;
ButtonShoot.Visible := False;
end;

{Je mag alleen de hal verder in als je het geweer gevonden hebt}


procedure TForm1.ButtonStairClick(Sender: TObject);
begin

If (Gun = 1) and (Dudesdead <> 1) Then
  Begin
  ButtonHall.Visible := True;
  Yourlog.Clear;
  Yourlog.Lines.Add('The hallway looks creepy, your hand grasps the gun in your belt');
  Image14.Visible := False;
  Image13.Visible := False;
  Image15.Visible := True;
  ButtonStair.Visible := False;
  End
  Else
If (Gun = 1) and (DudesDead = 1) then
  Begin
  Yourlog.Clear;
  Yourlog.Lines.Add('Lets not go back here.......... you sick fuck');
  Image14.Visible := False;
  Image13.Visible := False;
  Image15.Visible := True;
  ButtonStair.Visible := False;
  End
  Else
Begin
Yourlog.Clear;
Yourlog.Lines.add ('Upon descending the staircase, you find a hallway. An eerie feeling becomes you. You feel naked without a weapon here. Perhaps you should arm yourself before going further');
Image14.Visible := False;
Image13.Visible := False;
Image15.Visible := True;
ButtonStair.Visible := False;
End

end;


procedure TForm1.ButtonHallClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add('You slowly sneak up to the door. There is a faint smell coming from the other side. You hear laughter. Chills run op your spine.');
Image24.Visible := True;
ButtonOpen.Visible := True;
Image15.Visible := False;
ButtonHall.Visible := False;

end;


{Hier kom je Seth Rogen en James Franco uit de film "Pineapple Express" Tegen. Als je de spacecake hebt gevonden en
twee keer op "You guys selling klikt" kun je de cake ruilen tegen een LP van Bob Marley. Deze heb je nodig om het spel
uit te spelen}



procedure TForm1.ButtonOpenClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add('There are two seriously baked dudes in front of you. They stare at you as if you were that tri-boobed martian hooker from Total Recall (you know, with Schwarzenegger?). What now?');
ButtonOpen.Visible := False;
Image24.Visible := False;
Image25.Visible := True;
ButtonCabin.visible := False;
ButtonTalk.Visible := True;
ButtonHook.Visible := True;
ButtonShoot.Visible := True;
end;



procedure TForm1.ButtonHookClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.lines.add ('This one');
ButtonShoot.Visible := False;
ButtonTalk.Visible := False;
ButtonHook.Visible := False;
ImageBoob.visible := True;
ButtonOhok.visible := True;
end;

procedure TForm1.ButtonOhokClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.add ('These guys are higher than the empire state building');
ButtonShoot.Visible := True;
ButtonTalk.Visible := True;
ButtonHook.Visible := False;
ImageBoob.visible := False;
ButtonOhok.visible := False;
end;

procedure TForm1.ButtonShootClick(Sender: TObject);
begin
yourlog.clear;
yourlog.lines.add ('DUDE WHAT THE FUCK!!!!! WHY THE HELL DID YOU SHOOT THEM!? WHat... uhm... well... ok ok dude.... Lets just go. Just go');
ButtonJustGo.Visible:= True;
ButtonTalk.visible:= false;
ButtonHook.visible:= false;
ButtonShoot.visible:= false;
Image25.visible:= False;
Image26.visible:= True;
DudesDead:= 1;
end;

procedure TForm1.ButtonJustGoClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.add ('You head back to the living room');
ButtonBk.Visible := False;
ButtonExt.Visible := True;
ButtonLeft.Visible := False;
ButtonEnt.Visible := False;
Image13.Visible := True;
Image15.Visible := False;
ButtonBedr.Visible := True;
ButtonKitch.visible := True;
ButtonStairs.Visible := True;
Image14.Visible := False;
ButtonCabin.visible := False;
Image18.Visible := False;
ButtonStair.Visible := False;
Image16.Visible := False;
Button8.Visible := False;
Image17.Visible := False;
BedroomEmpty.Visible := False;
Image18.Visible := False;
Image19.Visible := False;
ButtonTake.Visible := False;
ButtonHall.Visible := False;
Image24.Visible := False;
ButtonOpen.Visible := False;
ButtonTalk.Visible := False;
ButtonHook.Visible := False;
ButtonShoot.Visible := False;
ButtonJustGo.Visible:= False;
Image26.visible:= False;
ImageSeth.Visible:= false;
ImageJames.Visible:= false;
MemoSeth.visible:= false;
MemoJames.visible:= False;
Image25.visible:= False;
end;


procedure TForm1.ButtonBedrClick(Sender: TObject);
begin

if (Dil = 1) then
  Begin
  Yourlog.Clear;
  Yourlog.Lines.add ('The bedroom is empty');
  Button8.Visible := False;
  BedroomEmpty.Visible := True;
  Image17.Visible := False;
  Image16.Visible := False;
  ButtonExt.Visible := False;
  ButtonKitch.Visible := False;
  ButtonBedr.Visible := False;
  ButtonStairs.visible := False;
  ButtonCabin.Visible := True;
  End
  Else

Begin
Yourlog.Clear;
Yourlog.Lines.add ('You enter the bedroom, you hear a buzzing sound. It seems to come from under the bed');
ButtonCabin.Visible := True;
ButtonExt.Visible := False;
ButtonKitch.Visible := False;
ButtonBedr.Visible := False;
ButtonStairs.visible := False;
ImageLeft1.Visible:= False;
Image13.Visible:= False;
Image16.Visible := True;
Button8.Visible := True;
End
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.add ('You found a dildo. This might be usefull (dildo was sent to inventory)');
Image16.Visible := False;
Image17.Visible := True;
Button8.Visible := False;
Dil := 1;

If (Dil = 1) then
  begin
  InventoryDildo.Visible:= True;
  end
end;


procedure TForm1.ButtonKitchClick(Sender: TObject);
begin


If (Cake = 1) or (MarleyRec = 1) then  {Je ruilt de cake tegen de LP, dus als je de LP hebt (MarleyRec = 1) dan is de Cake ook onzichtbaar}
  Begin
  Yourlog.Clear;
  Yourlog.Lines.add ('You head into the kitchen, nothing seems out of the ordinary');
  ButtonExt.Visible := False;
  ButtonLeft.Visible := False;
  ButtonEnt.Visible := False;
  ButtonBedr.Visible := False;
  ButtonKitch.visible := False;
  ButtonStairs.Visible := False;
  ButtonCabin.visible := True;
  ButtonStair.Visible := False;
  ButtonTake.Visible := False;
  Image16.Visible := False;
  Button8.Visible := False;
  Image17.Visible := False;
  BedroomEmpty.Visible := False;
  Image19.Visible := False;
  Image18.Visible := True;
  End
  Else

Begin
  Yourlog.Clear;
  Yourlog.Lines.add ('You head into the kitchen, there is a freshly baked Spacecake on the counter');
  ButtonExt.Visible := False;
  ButtonLeft.Visible := False;
  ButtonEnt.Visible := False;
  ButtonBedr.Visible := False;
  ButtonKitch.visible := False;
  ButtonStairs.Visible := False;
  ButtonCabin.visible := True;
  ButtonStair.Visible := False;
  ButtonTake.Visible := True;
  Image16.Visible := False;
  Button8.Visible := False;
  Image17.Visible := False;
  BedroomEmpty.Visible := False;
  Image19.Visible := True;
  Image18.Visible := False;

End
end;

procedure TForm1.ButtonTakeClick(Sender: TObject);
begin
Cake := 1;
Yourlog.Clear;
Yourlog.Lines.add ('You take the Spacecake, this could get interesting (cake was added to inventory)');
Image18.visible := True;
Image19.Visible := False;
ButtonTake.Visible := False;


If (Cake = 1) then
  begin
  InventoryCake.Visible:= True;
  end
end;



{Pad naar rechts. Hier kun je het geweer vinden.
Dit heb je nodig om in de "Beachcabin" door de hal te kunnen lopen}




procedure TForm1.ButtonRightClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add('You head west into the jungle, you spot something up ahead');
Image20.Visible := True;
ButtonAppr.Visible := True;
ButtonLeft.visible := False;
ButtonRight.visible := False;
Buttonfw.Visible := False;
ButtonBk.Visible := True;
end;

procedure TForm1.ButtonApprClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add('The thing you saw turned out to be a broken truck, there is no way to get it running again, but there might be something usefull inside');
Image20.Visible := False;
Image21.Visible := True;
ButtonAppr.Visible := False;
ButtonCheck.Visible := True;
end;

procedure TForm1.ButtonCheckClick(Sender: TObject);
begin
If (Gun = 1) Then
  begin
  yourlog.Clear;
  yourlog.Lines.add('The glove compartment is empty');
  Image22.Visible := False;
  Image21.Visible := False;
  Image23.Visible := True;
  ButtonCheck.Visible := False;
  ButtonTakeG.Visible := False;
  ButtonBk.Visible := False;
  ButtonBkTruck.Visible := True;
  end
  Else
  Begin
  yourlog.Clear;
  yourlog.Lines.add('Hooooooooooooo!!!! Jackpot crackpot baby, that is one big ass gun! You feel like Lucky Luke already');
  Image22.Visible := True;
  Image21.Visible := False;
  ButtonCheck.Visible := False;
  ButtonTakeG.Visible := True;
  ButtonBk.Visible := False;
  ButtonBkTruck.Visible := True;
  End



end;

procedure TForm1.ButtonTakeGClick(Sender: TObject);
begin
  yourlog.Clear;
  yourlog.Lines.add('You stick that piece in your belt, clearly not overcompensating (Freud anyone?), you is a gangsta now mofo');
  image23.Visible := True;
  Image22.Visible := False;
  ButtonTakeG.Visible := False;
  ButtonBkTruck.Visible := True;
  Gun := 1;
If (Gun = 1) Then
Begin
InventoryGun.Visible := True;
end
end;

procedure TForm1.ButtonBkTruckClick(Sender: TObject);
begin
yourlog.Clear;
yourlog.Lines.add ('you got out of the truck');
Image21.Visible := True;
Image22.Visible := False;
Image23.Visible := False;
ButtonBkTruck.visible := False;
ButtonBk.Visible := True;
ButtonTakeG.Visible := False;
ButtonCheck.Visible := True;

end;


{Hier volgt de dialoog met Seth en James}





procedure TForm1.ButtonTalkClick(Sender: TObject);
begin
ButtonTalk.visible:= False;
ButtonShoot.visible:= false;
ButtonHook.Visible:= False;
ImageSeth.visible:= True;
MemoSeth.visible:= True;
MemoSeth.Clear;
Memoseth.lines.add ('dude, what the dick man?');
ImageJames.visible:= True;
Memojames.Clear;
MemoJames.visible:= True;
MemoJames.lines.add ('haha... ha.. hahahaha');
TalkBye.visible:= True;
TalkSup.visible:= True;
TalkWeed.visible:= True;
TalkWhat.visible:= True;
TalkWho.visible:= True;
end;

procedure TForm1.TalkByeClick(Sender: TObject);
begin
ButtonJustGo.Visible:= true;
Memoseth.Clear;
Memoseth.lines.add ('like, dude...... dude........ bye man... may the green grass guide your path.... haha... and like... stuff like that... hahaha...ha');
MemoJames.Clear;
MemoJames.lines.add ('hihihihihihi.... man i am like sooooooo hungy... wait HUNGRY...hihihi... with an RRRRR.. hihi.. as in ARRRR imma pirrrrate... or something');
TalkBye.visible:= False;
TalkSup.visible:= False;
TalkWeed.visible:= False;
TalkWho.Visible:= False;
TalkWhat.Visible:= False;
end;

procedure TForm1.TalkWeedClick(Sender: TObject);
begin
If (Weed = 1) then
  begin
  Memoseth.Clear;
  Memoseth.lines.add ('Duuuuuuuuuuuuuuuuuude you want more, yous is hardcoooowre... that rhymes hahahahahaha....no man.. i dont have any left........ man..... bummer');
  MemoJames.Clear;
  MemoJames.lines.add ('yeah bummer.......... man....... HAHAHAHAHAAHAAAA... bummer begins with BUM hahahaha....ha...haha..       I could sure use some Cake man');
If (Cake = 1) Then
  begin
  ButtonGiveCake.Visible:= True;
  End
  End
  Else
If (Weed <> 1) then
begin
Memoseth.Clear;
Memoseth.lines.add ('Selling? Man, judging by that psychedelic look in your eyes, im judging you are allright. Here.. have some of ours for free.....like....wheeeeeee!!!');
MemoJames.Clear;
MemoJames.lines.add ('........hihi......');
Weed:= 1;
InventoryWeed.Visible:= True;
End
end;

procedure TForm1.TalkSupClick(Sender: TObject);
begin
Memoseth.Clear;
Memoseth.lines.add ('Whats up? Up as in high?? Ghiiihihihihihihihiiii...hi..hihi');
MemoJames.Clear;
MemoJames.lines.add ('aaaaaaaaaaaaaaaaaaahahahaa yeah......... up....haha.... as in HIGH hahahaha');
end;

procedure TForm1.TalkWhatClick(Sender: TObject);
begin
Memoseth.Clear;
Memoseth.lines.add ('Nuthin, just chillin... killing... HAHAHAAAAAA');
MemoJames.Clear;
MemoJames.lines.add ('AAAAAaaaaaaaaaaaaaah.. you just quoted Scary Movie maaaan.... Hahaaa. WAZZAaaaaaaaaaaaaaaaaaaaaaaaaaa!!!');
end;

procedure TForm1.TalkWhoClick(Sender: TObject);
begin
Memoseth.Clear;
Memoseth.lines.add ('Man WHO ARE WE?? That right man... who the fuck are we indeed!? Thats some deep shit man........haha...');
MemoJames.Clear;
MemoJames.Lines.add('HAAAAAhahaaa... yeah!! And like.... where are we from? Where are we going? Deep.........deep indeed......HAHAHAHAAAAAAaahahahahaaaa deep sheep bleep hahaaaahahaa.....ha');

end;

procedure TForm1.ButtonGiveCakeClick(Sender: TObject);
begin
  Cake:= 0;
  InventoryCake.Visible:= False;
  ButtonGiveCake.Visible:= False;
  Memoseth.Clear;
  Memoseth.lines.add ('DUDE!!!! Are you like........Jesus?......wow...haha');
  MemoJames.Clear;
  MemoJames.lines.add('OOOOOOOH GIMME GIMME GIMME YEAH DUDE!! Here i have something for you! Take my precious Bob Marley record man... its yours now grashopper');
MarleyRec:= 1;
  InventoryMarley.Visible:= True;
end;


//End of dialogue with Seth & James



//Dialogue with Raoul Duke and Dr. Gonzo
// The Attorney is Dr. Gonzo by the way.


procedure TForm1.ButtonTalkHitchClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.Add ('These guys look vaguely familiar');
Image11.Visible := False;
Image12.Visible := True;
ButtonFw4.Visible := False;
ButtonBk.Visible := False;
ButtonTalkHitch.Visible:= False;
ImageRaoul.Visible:= True;
ImageAttorney.Visible:= True;
MemoRaoul.Visible:= True;
MemoAttorney.Visible:= True;
MemoRaoul.Lines.add ('YOU GOT SOME DRUGS ON YOU SON????');
MemoAttorney.lines.add ('who the fuck is this Raoul?');
ButtonNo.Visible:= True;


If (Weed = 1) or (Cake = 1) then
  begin
  ButtonYes.Visible:= True;
  end;
end;

procedure TForm1.ButtonNoClick(Sender: TObject);
begin

If (DudesDead = 1) then
  begin
  Showmessage ('These guys are your ticket of this island, and theyre asking for drugs. AND YOU SHOT THE ONLY DRUG DEALERS ON THE ISLAND!!! Way to go idiot');
  ImageGameOver.Visible:= True;
  MemoRaoul.Visible:= False;
  MemoAttorney.visible:= False;
  end
  else



  ButtonBk.Visible:= True;
  ButtonNo.Visible:= False;
  ButtonYes.visible:= False;
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('THEN FUCK OF SON!!!!');
  MemoAttorney.lines.add ('Douchebag');


end;

procedure TForm1.ButtonYesClick(Sender: TObject);
begin
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('GET IN KID!!! WE CANT STOP HERE!!! THIS IS BAT COUNTRY!!!!');
  MemoAttorney.lines.add ('COME ON!!!');
  ButtonGetIn.visible:= True;
end;

procedure TForm1.ButtonGetInClick(Sender: TObject);
begin
  ButtonGetIn.Visible:= False;
  Showmessage ('NO TURNING BACK NOW!');
  ButtonYes.visible:= False;
  ButtonNo.Visible:= False;
  Yourlog.Clear;
  Yourlog.lines.add ('You jump into the back seat. Dr. Gonzo takes of at an insane speed. You dont see any bats anywhere');
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('Well lets see about that dope you got on you. Dr. Gonzo, eyes on the road');
  MemoAttorney.lines.add ('Youre a Dope Fiend kiddo, like us!!');
  Image12.Visible:= False;
  ImageStrangers.Visible:= true;
  ImageRaoul2.Visible:= True;
  ImageAttorney2.Visible:= True;
  ButtonDeal.Visible:= True;
end;






//The beginning of the end......








{Dit is welke drug je kunt ruilen}

procedure TForm1.ButtonDealClick(Sender: TObject);
begin
  If (weed = 1) then
  begin
  TradeWeed.visible:= true;
  end;

  If (Cake = 1) then
  begin
  TradeCake.Visible:= True;
  end;

  If (Dil = 1) then
  begin
  TradeDildo.visible:= True;
  end;

  begin
  if (MarleyRec = 1) then
  TradeRecord.visible:= True;
  end;


end;

{Hier begin je met ruilen, je zult de LP tegen de LSD moeten ruilen om het goede einde te krijgen.
Alle andere eindes resulteren in een overdosis}

procedure TForm1.TradeRecordClick(Sender: TObject);
begin
  InventoryMarley.Visible:= False;
  TripAcid:= 1;
  TripHeroin:= 0;
  TripXTC:= 0;
  TripShroom:= 0;
  Yourlog.clear;
  Yourlog.lines.add('you start trading drugs as if theyre fucking pokemon cards');
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('Sure can do kiddo. This is gonna be great');
  MemoAttorney.lines.add ('HAHAAAAAAAA');
  ButtonTrip.Visible:= True;
end;

procedure TForm1.TradeCakeClick(Sender: TObject);
begin
  InventoryCake.Visible:= False;
  TripAcid:= 0;
  TripHeroin:= 1;
  TripXTC:= 0;
  TripShroom:= 0;
  Yourlog.clear;
  Yourlog.lines.add('you start trading drugs as if theyre fucking pokemon cards');
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('Hmm, this heroin is grade-A colombian kid. You can have it, but i dont care about the consequences!!');
  MemoAttorney.lines.add ('Hahaaaaaa that heroin will be the last you take!!');
  ButtonTrip.Visible:= True;
end;

procedure TForm1.TradeWeedClick(Sender: TObject);
begin
  InventoryWeed.Visible:= False;
  TripAcid:= 0;
  TripHeroin:= 0;
  TripXTC:= 0;
  TripShroom:= 1;
  Yourlog.clear;
  Yourlog.lines.add('you start trading drugs as if theyre fucking pokemon cards');
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('THIS IS GOOD WEED KID!!! But these shrooms might be a bit to much!');
  MemoAttorney.lines.add ('Let him have it!! Take the shrooms kid!!');
  ButtonTrip.Visible:= True;end;

procedure TForm1.TradeDildoClick(Sender: TObject);
begin
  InventoryDildo.Visible:= False;
  TripAcid:= 0;
  TripHeroin:= 0;
  TripXTC:= 1;
  TripShroom:= 0;
  Yourlog.clear;
  Yourlog.lines.add('you start trading drugs as if theyre fucking pokemon cards');
  MemoRaoul.Clear;
  MemoAttorney.Clear;
  MemoRaoul.Lines.add ('XTC!? What are you? A 14 year old girl?? Fine, whatever makes your boat float');
  MemoAttorney.lines.add ('xtc..... douche...');
  ButtonTrip.Visible:= True;
end;

procedure TForm1.ButtonTripClick(Sender: TObject);
begin
  if (TripAcid = 1) then
  begin
  ButtonTrip.Visible:= False;
  ButtonDeal.Visible:= False;
  TradeDildo.visible:= False;
  TradeWeed.Visible:= False;
  TradeCake.visible:= False;
  TradeRecord.visible:= False;
  MemoRaoul.Visible:= False;
  MemoAttorney.visible:= False;
  ImageRaoul.visible:= False;
  ImageRaoul2.visible:= False;
  ImageAttorney.visible:= False;
  ImageAttorney2.visible:= False;
  TripAcidImg.Visible:= True;
  yourlog.clear;
  Yourlog.Lines.add ('Oh Shit DUUUUUUDE LOOK AT ALL THE COLOURS!!!!');
  ButtonTripEnd.Visible:= True;

  end
  else
  If (TripHeroin = 1) then
  begin
  ButtonTrip.Visible:= False;
  ButtonDeal.Visible:= False;
  TradeDildo.visible:= False;
  TradeWeed.Visible:= False;
  TradeCake.visible:= False;
  TradeRecord.visible:= False;
  MemoRaoul.Visible:= False;
  MemoAttorney.visible:= False;
  ImageRaoul.visible:= False;
  ImageRaoul2.visible:= False;
  ImageAttorney.visible:= False;
  ImageAttorney2.visible:= False;
  TripHeroinImg.Visible:= True;
  yourlog.Clear;
  Yourlog.Lines.add ('This shit is to much for you!!! You slowly feel yourself going into a deep coma');
  ButtonDie.Visible:= True;
  end
  else
  If (TripXTC = 1) then
  begin
  ButtonTrip.Visible:= False;
  ButtonDeal.Visible:= False;
   TradeDildo.visible:= False;
  TradeWeed.Visible:= False;
  TradeCake.visible:= False;
  TradeRecord.visible:= False;
  MemoRaoul.Visible:= False;
  MemoAttorney.visible:= False;
  ImageRaoul.visible:= False;
  ImageRaoul2.visible:= False;
  ImageAttorney.visible:= False;
  ImageAttorney2.visible:= False;
  TripXTCImg.Visible:= True;
  yourlog.Clear;
  Yourlog.Lines.add ('This shit is to much for you!!! You slowly feel yourself going into a deep coma');
  ButtonDie.Visible:= True;
  end
  else
  If (TripShroom = 1) then
  begin
  ButtonTrip.Visible:= False;
  ButtonDeal.Visible:= False;
  TradeDildo.visible:= False;
  TradeWeed.Visible:= False;
  TradeCake.visible:= False;
  TradeRecord.visible:= False;
  MemoRaoul.Visible:= False;
  MemoAttorney.visible:= False;
  ImageRaoul.visible:= False;
  ImageRaoul2.visible:= False;
  ImageAttorney.visible:= False;
  ImageAttorney2.visible:= False;
  TripShroomImg.Visible:= True;
  Yourlog.Clear;
  Yourlog.Lines.add ('This shit is to much for you!!! You slowly feel yourself going into a deep coma');
  ButtonDie.Visible:= True;
  end

end;

procedure TForm1.ButtonDieClick(Sender: TObject);
begin
buttonDie.Visible:= False;
ImageGameover.visible:= True;
Image12.Visible:= False;
TripShroomImg.Visible:= False;
TripXTCImg.Visible:= False;
TripHeroinImg.Visible:= False;
Yourlog.Clear;
Yourlog.lines.add ('That shit you took fucked you up real good. YOUR DEAD SON!! Dont do drugs and dont be a fool! Stay in school!...... and shit like that');


{Dit is de LSD (acid) trip. Na deze trip eindigt het spel}

end;

procedure TForm1.ButtonTripEndClick(Sender: TObject);
begin
Yourlog.Clear;
Yourlog.Lines.add ('Oooooooooh snap dude!!! What the hell is going on');
ButtonTripEnd.Visible:= False;
ButtonAcid1.Visible:= True;
ImageAcid1.visible:= True;
end;

procedure TForm1.ButtonAcid1Click(Sender: TObject);
begin
ButtonAcid1.Visible:= False;
ButtonColour.Visible:= True;
Yourlog.Clear;
Yourlog.Lines.add ('w00t man, w00t indeed..... WTF!!!');
ImageAcid2.Visible:= True;
ImageAcid1.Visible:= False;
end;

procedure TForm1.ButtonColourClick(Sender: TObject);
begin
ButtonColour.visible:= False;
ButtonSubside.visible:= True;
Yourlog.Clear;
Yourlog.Lines.add ('This.....is............ wait for it...... LEGENDARY!!!! WooooooHooooooooooo');
ImageAcid3.Visible:= True;
ImageAcid2.Visible:= False;
end;

procedure TForm1.ButtonSubsideClick(Sender: TObject);
begin
ButtonSubside.visible:= False;
ButtonSea.visible:= True;
ImageAcid3.visible:= False;
ImageAcid4.visible:= True;
Yourlog.Clear;
Yourlog.Lines.add ('You feel that the trip is becoming less intense. Slowly it subsides. You hear the soft rustling of waves. Its the sound of the sea...');
end;

procedure TForm1.ButtonSeaClick(Sender: TObject);
begin
ImageAcid4.Visible:= False;
ImageEnd.visible:= True;
ButtonSea.Visible:= False;
Yourlog.Clear;
Yourlog.Lines.add ('Your head hurts as if your listened to a Barbra Streisand song. You are half asleep');
ButtonWake.visible:= True;
end;



procedure TForm1.ButtonWakeClick(Sender: TObject);
begin
InventoryCake.visible:= False;
InventoryDildo.visible:= False;
InventoryGun.visible:= False;
InventoryMarley.visible:= False;
InventoryWeed.visible:= False;
Yourlog.Clear;
Yourlog.Lines.add ('You find yourself on the bow of a ship. It looks awfully familiar');
ButtonWake.visible:= False;
ImageEnd.visible:= False;
ImageShipAgain.visible:= True;
ButtonDream.visible:= True;


end;

procedure TForm1.ButtonDreamClick(Sender: TObject);
begin
Yourlog.Clear;
ButtonDream.visible:= False;
ButtonWhat.Visible:= True;

end;

procedure TForm1.ButtonWhatClick(Sender: TObject);
begin
Yourlog.Clear;
Imagefinished.Visible:= True;
ButtonWhatGet.Visible:= True;
ButtonWhat.visible:= False;
end;

procedure TForm1.ButtonWhatGetClick(Sender: TObject);
begin
ButtonWhatGet.Visible:= False;
ImageFinal.visible:= True;
Yourlog.Clear;
Yourlog.lines.add ('Thanks for playing!');
end;

End.


{Einde....... en de moraal van dit verhaal. Don't do drugs!8}
